View Issue Details

IDProjectCategoryView StatusLast Update
0002726AJAX/JSBug Report - Interfacepublic2019-08-08 16:30
ReporterCDB-ManAssigned ToDerIdiot 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017-01 
Summary0002726: bbcode editor: parsing and other issues on popups
Description7[12:45:54] CDB-Man: DerIdiot: hmm, the popup for quote/spoiler name, if I hit enter it will insert lines into the text area instead of submitting. when submitted, the enters are parsed as follows: [spoiler=fdfd<div>
</div>]sdsd[/spoiler] --- [quote=aaa aaa<div>
</div><div>
</div>a]
7[12:46:19] CDB-Man: should be a line input that maps enter to submit, instead of allowing for cr/lf
7[12:47:43] CDB-Man: also, if I use the popup to type a named quote with a space in it, ie "aaa bbb", the output is [quote=aaa bbb] no quotes, so it doesnt parse the space correctly
7[12:49:15] CDB-Man: same with spoiler naming as well. if the user is using the popup, it should a) add quotes to output if there's a space in the input, or b) (and proabably better behaviour imo), popup will always insert the quotes
Tagsbbcode, forum

Activities

DerIdiot

2016-12-05 20:45

administrator   ~0003938

stop cramming multiple unrelated issues into 1 ticket

CDB-Man

2016-12-07 04:32

manager   ~0003942

The issue still exists for the display text field of the URL popup. If I hit enter in the display text I get new lines, with the output being:

[url=https://i.imgur.com/MBrNWyv.jpg]https://i.imgur.com/MBrNWyv.jpg<div>
</div><div>
</div>[/url]

URL field is fine.

Issue History

Date Modified Username Field Change
2016-12-02 03:11 CDB-Man New Issue
2016-12-02 03:11 CDB-Man Tag Attached: forum
2016-12-02 03:11 CDB-Man Tag Attached: bbcode
2016-12-02 05:41 CDB-Man Summary Forum bbcode editor: parsing issues on popups for spoiler and quote names => Forum bbcode editor: parsing and other issues on popups
2016-12-02 05:41 CDB-Man Description Updated View Revisions
2016-12-05 20:44 DerIdiot Issue cloned: 0002737
2016-12-05 20:45 DerIdiot Description Updated View Revisions
2016-12-05 20:45 DerIdiot Note Added: 0003938
2016-12-05 20:45 DerIdiot Assigned To => DerIdiot
2016-12-05 20:45 DerIdiot Status new => resolved
2016-12-05 20:45 DerIdiot Resolution open => fixed
2016-12-05 20:45 DerIdiot Fixed in Version => 2017-01
2016-12-05 23:31 DerIdiot Summary Forum bbcode editor: parsing and other issues on popups => bbcode editor: parsing and other issues on popups
2016-12-07 04:32 CDB-Man Status resolved => feedback
2016-12-07 04:32 CDB-Man Resolution fixed => reopened
2016-12-07 04:32 CDB-Man Note Added: 0003942
2016-12-07 14:27 DerIdiot Status feedback => resolved
2016-12-07 14:27 DerIdiot Resolution reopened => fixed